### Method

# Fwupd Client disconnect

#### Declaration [src]

    gboolean
    fwupd_client_disconnect (
      FwupdClient* self
      GError** error
    )

#### Description [src]

Tears down client after use. You only need to call this method if you are:

- connecting to the daemon in one thread and finalizing the client in another one
- to change the `FWUPD_DBUS_SOCKET` for a different peer-to-peer connection
- to add or change connection hints as specified by `fwupd_client_add_hint()`.

Available since: | 1.8.0
This method is not directly available to language bindings.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.